#!/bin/bash
source /etc/conf.d/vdr
SVDRPCMD="/usr/bin/svdrpsend.pl"
EPG_SCAN_FILE="/video/~epgscan"

if [ "$1" != "-f" ] ; then
   if [ -f $EPG_SCAN_FILE ] ; then
      ACT_DATE=$(date +%F)
      FDATE=$(ls -l --time-style=+%F $EPG_SCAN_FILE | tr -s ' ' |cut -f6 -d ' ')
      if [ "$ACT_DATE" = "$FDATE" ] ; then
         logger -s "Heute wurde bereits das EPG gescanned"
	 exit
      fi
   fi
fi   	 
		     
# Get epgdata via epgscan or tvm2vdr
if [ "$EPGSCAN" = "TVMovie" ] ; then
   [ "$VDRADMIN" = "1" ] && /etc/init.d/vdradmind stop
   [ "$XXV" = "1" ] && /etc/init.d/xxvd stop
   cd /etc/vdr/tvmovie2vdr
   logger -s "Starting tvmovie2vdr"
   $SVDRPCMD MESG "Starte EPGSCAN via TVMovie"
   /etc/init.d/ntp-client stop > /dev/null 2>&1
   /etc/init.d/ntp-client start > /dev/null 2>&1

   mkdir /video/epgimages > /dev/null 2>&1
   cd /etc/vdr/tvmovie2vdr
   # start tvmovie2vdr
   ./tvm2vdr.pl >> /var/log/tvm2vdr.log
   $SVDRPCMD MESG "EPGSCAN via TVMovie beendet"

   # clear old timer for vdr < 1.3.23
   ./clearoldtimer.pl

   # cleanup old images
   find /video/epgimages/ -type f  -mtime +10 -exec rm {} \;

   [ "$VDRADMIN" = "1" ] && /etc/init.d/vdradmind start
   [ "$XXV" = "1" ] && /etc/init.d/xxvd start
elif [ "$EPGSCAN" = "EPGScan" ] ; then
   $SVDRPCMD MESG "Starte EPGSCAN"
   $SVDRPCMD SCAN
fi

touch $EPG_SCAN_FILE						       
