#!/bin/sh
#set -x
FNAME=$1

if [ ! -s $1 ] ; then
   FN="$(echo $1 | sed -e "s&.*/&&g")"
   FNAME="/tmp/$FN"
   wget -O $FNAME ${1}
   if [ ! -s $FNAME ] ; then
      echo "Syntax: $0 [url|filename]"
      exit
   fi
else
   FNAME=$1
fi


if [ -s $FNAME ] ; then
   if [ "$(echo $FNAME |grep "\.tar\.bz2$")" != "" ] ; then
      TAROPT="j"
   elif [ "$(echo $FNAME |grep "\.tbz$")" != "" ] ; then
      TAROPT="j"
   elif [ "$(echo $FNAME |grep "\.tar\.gz$")" != "" ] ; then
      TAROPT="z"
   elif [ "$(echo $FNAME |grep "\.tgz$")" != "" ] ; then
      TAROPT="z"
   else
      echo "Unsupport archiv file <$FNAME>"
      exit
   fi
   PLUG_VERSION=$(tar -t${TAROPT}f $FNAME |grep -m1 Makefile|cut -f 1 -d "/")
   if [ "${PLUG_VERSION}" = "." ] ; then
      PLUG_VERSION=$(tar -t${TAROPT}f $FNAME |grep -m1 Makefile|cut -f 2 -d "/")
   fi   
   if [ -d /usr/local/src/VDR/PLUGINS/src/${PLUG_VERSION} ] ; then
      echo "/usr/local/src/VDR/PLUGINS/src/${PLUG_VERSION} bereits vorhanden"
      exit
   fi
   PLUGIN=$(echo $PLUG_VERSION | cut -f 1 -d "-")
   tar -C /usr/local/src/VDR/PLUGINS/src -x${TAROPT}vf "$FNAME"
   cd /usr/local/src/VDR/PLUGINS/src
   if [ -d ${PLUG_VERSION} ] ; then
      if [ -d $PLUGIN ] ; then
         rm $PLUGIN
         ISNEW=0
      else
         ISNEW=1
      fi
      ln -s ${PLUG_VERSION} ${PLUGIN}
      cd $PLUGIN
      if [ $(ps x | grep "\-\-plugin=${PLUGIN}" | wc -l) -gt 1 ] ; then
         /etc/init.d/vdr stop
      fi	 
      make clean all
      ls -ld /usr/local/src/VDR/PLUGINS/src/${PLUGIN}*
      if [ "$ISNEW" = "1" ] ; then
         perl /etc/vdr/plugins/admin/cfgplg.pl
      fi
      if [ ! -f /etc/conf.d/vdr.$PLUGIN ] ; then
         echo "# Parameter fuer VDR-Plugin $PLUGIN" > /etc/conf.d/vdr.$PLUGIN
	 echo "#_EXTRAOPTS=\"\"" >> /etc/conf.d/vdr.$PLUGIN
      fi
      echo "Plugin Parameter werden in /etc/conf.d/vdr.$PLUGIN gesetzt"
   else
      echo "${PLUG_VERSION} not found"
   fi
else
   echo "$FNAME not found"
fi
